=== debian/control ===
Source: ros-kinetic-spatio-temporal-voxel-layer
Section: misc
Priority: extra
Maintainer: Steve Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libilmbase-dev, libopenexr-dev, libopenvdb-dev, libopenvdb3.1, libtbb-dev, ros-kinetic-catkin, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-laser-geometry, ros-kinetic-message-filters, ros-kinetic-message-generation, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-spatio-temporal-voxel-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libilmbase-dev, libopenexr-dev, libopenvdb-dev, libopenvdb3.1, libtbb-dev, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-laser-geometry, ros-kinetic-message-filters, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The spatio-temporal 3D obstacle costmap package
